# Service_Manager.h File Reference

`#include "ace/SOCK_Stream.h"`
`#include "ace/SOCK_Acceptor.h"`
`#include "ace/INET_Addr.h"`
`#include "ace/Service_Object.h"`

Include dependency graph for Service_Manager.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Service_Manager
| Provide a standard ACE service for managing all the services configured in an ACE_Service_Repository. More...

## Detailed Description

Id
  Service_Manager.h,v 4.21 2006/02/13 11:40:08 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>